curl --request PATCH \
--url https://api.stardex.ai/v1/persons/{id}/compensations/{compensation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_compensation_base": 1,
"current_compensation_bonus": 1,
"currency_code": "<string>",
"equity_percent": 50,
"equity_amount": 1,
"compensation_year": 2450,
"total_estimated_compensation": 1,
"note": "<string>"
}
'import requests
url = "https://api.stardex.ai/v1/persons/{id}/compensations/{compensation_id}"
payload = {
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_compensation_base": 1,
"current_compensation_bonus": 1,
"currency_code": "<string>",
"equity_percent": 50,
"equity_amount": 1,
"compensation_year": 2450,
"total_estimated_compensation": 1,
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
job_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
current_compensation_base: 1,
current_compensation_bonus: 1,
currency_code: '<string>',
equity_percent: 50,
equity_amount: 1,
compensation_year: 2450,
total_estimated_compensation: 1,
note: '<string>'
})
};
fetch('https://api.stardex.ai/v1/persons/{id}/compensations/{compensation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "678e9012-e34d-56f7-a890-123456789012",
"compensation_type": "desired",
"currency_code": "USD",
"current_compensation_base": 200000,
"current_compensation_bonus": null,
"equity_percent": null,
"equity_amount": null,
"compensation_year": 2026,
"total_estimated_compensation": 200000,
"note": "Target base salary discussed with the candidate.",
"job_id": null,
"job_name": null,
"created_at": "2026-05-27T21:30:00Z",
"updated_at": "2026-05-27T21:30:00Z"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Update person compensation
Update one compensation history record for a person. Only provided fields are changed; pass null for nullable fields to clear them.
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Body
Associated job UUID, if this compensation is specific to a job candidacy.
Base salary amount.
x >= 0Bonus amount.
x >= 0Type of compensation: desired for expectations, actual for current or historical compensation, or minimum for a required floor.
desired, actual, minimum ISO 4217 currency code (e.g. "USD", "EUR"). Defaults to USD when omitted.
3Equity grant as a percentage.
0 <= x <= 100Equity grant as a fixed amount.
x >= 0The year this compensation applies to (e.g. 2025 for historical compensation).
1900 <= x <= 3000Total estimated annual compensation.
x >= 0Free-text notes about the compensation package, constraints, or preferences.
Was this page helpful?